
#user  nobody;
worker_processes  1;

events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    sendfile        on;

    keepalive_timeout  65;

    #gzip  on;
    #upstream magical_coder_server {
    #    server 127.0.0.1:6891;
    #}
    server {
        listen       12345;
        server_name  localhost;
        ssi on;
        ssi_silent_errors on;

        charset utf-8;
        #access_log  logs/host.access.log  main;
        #开发加上这个 去除缓存 上线去掉
        expires -1;


       #location ~ ^/lowcode-web {
       #        proxy_pass          http://magical_coder_server;
       #        proxy_set_header    Host    $host;
       #        proxy_set_header   X-Real-IP        $remote_addr;
       #        proxy_set_header   X-Forwarded-For  $proxy_add_x_forwarded_for;
       #        client_max_body_size 10m;
       # }

        location / {
            root   html;
            index  start.html start.htm index.html;
        }


        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }

}
